
_Battery_Voltage:

;Battery_Voltage.mbas,40 :: 		sub procedure Battery_Voltage (dim Sample_Only as byte)
;Battery_Voltage.mbas,42 :: 		atod = ADC_Read(0)      ' Get 8-bit results of AD conversion
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _atod+0
	MOVF       R0+1, 0
	MOVWF      _atod+1
;Battery_Voltage.mbas,43 :: 		Temp = atod  + 572.82   ' This number represents 10.34 volts at .0195 Volts per count
	CALL       _Word2Double+0
	MOVLW      123
	MOVWF      R4+0
	MOVLW      52
	MOVWF      R4+1
	MOVLW      15
	MOVWF      R4+2
	MOVLW      136
	MOVWF      R4+3
	CALL       _Add_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      Battery_Voltage_temp+0
	MOVF       R0+1, 0
	MOVWF      Battery_Voltage_temp+1
	MOVF       R0+2, 0
	MOVWF      Battery_Voltage_temp+2
	MOVF       R0+3, 0
	MOVWF      Battery_Voltage_temp+3
;Battery_Voltage.mbas,48 :: 		Temp = Temp * 0.0195    ' Convert the count to voltage  0.0195 per count
	MOVLW      119
	MOVWF      R4+0
	MOVLW      190
	MOVWF      R4+1
	MOVLW      31
	MOVWF      R4+2
	MOVLW      121
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      Battery_Voltage_temp+0
	MOVF       R0+1, 0
	MOVWF      Battery_Voltage_temp+1
	MOVF       R0+2, 0
	MOVWF      Battery_Voltage_temp+2
	MOVF       R0+3, 0
	MOVWF      Battery_Voltage_temp+3
;Battery_Voltage.mbas,50 :: 		if atod < 25            'Battery is Low at 11.3 Volts
	MOVLW      0
	SUBWF      _atod+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Battery_Voltage11
	MOVLW      25
	SUBWF      _atod+0, 0
L__Battery_Voltage11:
	BTFSC      STATUS+0, 0
	GOTO       L__Battery_Voltage2
;Battery_Voltage.mbas,51 :: 		Then Bat_Low = True
	MOVLW      255
	MOVWF      _Bat_Low+0
L__Battery_Voltage2:
;Battery_Voltage.mbas,53 :: 		if atod > 40            'Gotta get back up to 11.7 before clearing Bat_Low
	MOVF       _atod+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Battery_Voltage12
	MOVF       _atod+0, 0
	SUBLW      40
L__Battery_Voltage12:
	BTFSC      STATUS+0, 0
	GOTO       L__Battery_Voltage5
;Battery_Voltage.mbas,54 :: 		then  bat_Low = False   'Or it will flip back and forth in and out of Bat Low
	CLRF       _Bat_Low+0
L__Battery_Voltage5:
;Battery_Voltage.mbas,57 :: 		if Sample_Only  = 0           'Just looking to see if the battery is low
	MOVF       FARG_Battery_Voltage_Sample_Only+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Battery_Voltage8
;Battery_Voltage.mbas,59 :: 		FloatToStr(Temp, Txt)   'Move the data to Txt for display
	MOVF       Battery_Voltage_temp+0, 0
	MOVWF      FARG_FloatToStr_input+0
	MOVF       Battery_Voltage_temp+1, 0
	MOVWF      FARG_FloatToStr_input+1
	MOVF       Battery_Voltage_temp+2, 0
	MOVWF      FARG_FloatToStr_input+2
	MOVF       Battery_Voltage_temp+3, 0
	MOVWF      FARG_FloatToStr_input+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_output+0
	CALL       _FloatToStr+0
;Battery_Voltage.mbas,60 :: 		Txt [5] = 0x00          'This is all we use null terminate the string
	CLRF       _txt+5
L__Battery_Voltage8:
;Battery_Voltage.mbas,64 :: 		End Sub
L_end_Battery_Voltage:
	RETURN
; end of _Battery_Voltage
