
RTC_DS1302_Write_Byte:

;RTC_DS1302.mbas,53 :: 		sub procedure Write_Byte                'CE is High by caller
;RTC_DS1302.mbas,54 :: 		for Bit_Counter = 0 to 7        'write eight bits
	CLRF       RTC_DS1302_Bit_Counter+0
L_RTC_DS1302_Write_Byte2:
;RTC_DS1302.mbas,55 :: 		PortC.3 = 0                   'it only needs to be high for 250 ns
	BCF        PORTC+0, 3
;RTC_DS1302.mbas,56 :: 		PortC.4 = Byte_Out.Bit_Counter 'send them the data
	MOVF       RTC_DS1302_Bit_Counter+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L_RTC_DS1302_Write_Byte188:
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Write_Byte189
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L_RTC_DS1302_Write_Byte188
L_RTC_DS1302_Write_Byte189:
	MOVF       R0+0, 0
	ANDWF      RTC_DS1302_Byte_Out+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Write_Byte6
	MOVLW      1
	MOVWF      R1+0
L_RTC_DS1302_Write_Byte6:
	BTFSC      R1+0, 0
	GOTO       L_RTC_DS1302_Write_Byte190
	BCF        PORTC+0, 4
	GOTO       L_RTC_DS1302_Write_Byte191
L_RTC_DS1302_Write_Byte190:
	BSF        PORTC+0, 4
L_RTC_DS1302_Write_Byte191:
;RTC_DS1302.mbas,57 :: 		PortC.3 = 1                   'clock it
	BSF        PORTC+0, 3
;RTC_DS1302.mbas,58 :: 		next Bit_Counter
	MOVF       RTC_DS1302_Bit_Counter+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Write_Byte5
	INCF       RTC_DS1302_Bit_Counter+0, 1
	GOTO       L_RTC_DS1302_Write_Byte2
L_RTC_DS1302_Write_Byte5:
;RTC_DS1302.mbas,60 :: 		end sub
L_end_Write_Byte:
	RETURN
; end of RTC_DS1302_Write_Byte

RTC_DS1302_Read_Byte:

;RTC_DS1302.mbas,62 :: 		sub procedure Read_Byte
;RTC_DS1302.mbas,64 :: 		for Bit_Counter = 0 to 7      'Read eight bits
	CLRF       RTC_DS1302_Bit_Counter+0
L_RTC_DS1302_Read_Byte9:
;RTC_DS1302.mbas,65 :: 		PortC.3 = 1                 'clock it
	BSF        PORTC+0, 3
;RTC_DS1302.mbas,66 :: 		PortC.3 = 0                 'drop the clock
	BCF        PORTC+0, 3
;RTC_DS1302.mbas,67 :: 		Byte_In.Bit_Counter = PortC.4 'Get data
	MOVF       RTC_DS1302_Bit_Counter+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L_RTC_DS1302_Read_Byte193:
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Read_Byte194
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L_RTC_DS1302_Read_Byte193
L_RTC_DS1302_Read_Byte194:
	MOVF       RTC_DS1302_Byte_In+0, 0
	MOVWF      R1+0
	BTFSS      PORTC+0, 4
	GOTO       L_RTC_DS1302_Read_Byte13
	MOVF       R0+0, 0
	IORWF      R1+0, 0
	MOVWF      RTC_DS1302_Byte_In+0
	GOTO       L_RTC_DS1302_Read_Byte14
L_RTC_DS1302_Read_Byte13:
	COMF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      RTC_DS1302_Byte_In+0
L_RTC_DS1302_Read_Byte14:
;RTC_DS1302.mbas,68 :: 		next Bit_Counter
	MOVF       RTC_DS1302_Bit_Counter+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Read_Byte12
	INCF       RTC_DS1302_Bit_Counter+0, 1
	GOTO       L_RTC_DS1302_Read_Byte9
L_RTC_DS1302_Read_Byte12:
;RTC_DS1302.mbas,69 :: 		PortC.3 = 1                   'Raise Clock
	BSF        PORTC+0, 3
;RTC_DS1302.mbas,70 :: 		end sub
L_end_Read_Byte:
	RETURN
; end of RTC_DS1302_Read_Byte

RTC_DS1302_RTC_Init:

;RTC_DS1302.mbas,72 :: 		sub procedure RTC_Init                'write enable the chip
;RTC_DS1302.mbas,73 :: 		PortC.3 = 0                   'get ready for CE
	BCF        PORTC+0, 3
;RTC_DS1302.mbas,74 :: 		PortC.4 = 0
	BCF        PORTC+0, 4
;RTC_DS1302.mbas,75 :: 		PortC.2 = 1                   'raise the Chip Enable Bit
	BSF        PORTC+0, 2
;RTC_DS1302.mbas,76 :: 		Byte_Out = 0x8E               'Command byte Write Clock byte 7
	MOVLW      142
	MOVWF      RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,77 :: 		Write_Byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,78 :: 		Byte_Out = 0x00               'clear the Write Protect Bit
	CLRF       RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,79 :: 		Write_Byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,80 :: 		Byte_Out = 0x80               'Command byte Write Clock byte 0
	MOVLW      128
	MOVWF      RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,81 :: 		Write_Byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,82 :: 		Byte_Out = 0x00               'clear the Clock Hold Bitt
	CLRF       RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,83 :: 		Write_Byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,84 :: 		PortC.2 = 0                   'drop CE bit
	BCF        PORTC+0, 2
;RTC_DS1302.mbas,85 :: 		PortC.4 = 1                   'Raise the Data Line
	BSF        PORTC+0, 4
;RTC_DS1302.mbas,87 :: 		end sub
L_end_RTC_Init:
	RETURN
; end of RTC_DS1302_RTC_Init

RTC_DS1302_RTC_Read:

;RTC_DS1302.mbas,89 :: 		sub procedure RTC_Read                  'Read Time and Date data into buffer
;RTC_DS1302.mbas,90 :: 		PortC.3 = 0                     'Drop Clock
	BCF        PORTC+0, 3
;RTC_DS1302.mbas,91 :: 		PortC.4 = 0                     'Drop Data
	BCF        PORTC+0, 4
;RTC_DS1302.mbas,92 :: 		PortC.2 = 1                     'Enable chip
	BSF        PORTC+0, 2
;RTC_DS1302.mbas,93 :: 		Byte_Out = Read_Command         'read burst
	MOVLW      191
	MOVWF      RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,94 :: 		Write_Byte                      'send it
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,95 :: 		TrisC.4 = 1                     'set the Data bit as input
	BSF        TRISC+0, 4
;RTC_DS1302.mbas,96 :: 		for Read_Counter = 0 to 7     'eight bytes the last byte isn't sent in burst
	CLRF       RTC_DS1302_Read_Counter+0
L_RTC_DS1302_RTC_Read18:
;RTC_DS1302.mbas,97 :: 		Read_Byte                   'get a byte
	CALL       RTC_DS1302_Read_Byte+0
;RTC_DS1302.mbas,98 :: 		Buffer [Read_Counter] = Byte_In
	MOVF       RTC_DS1302_Read_Counter+0, 0
	ADDLW      RTC_DS1302_Buffer+0
	MOVWF      FSR
	MOVF       RTC_DS1302_Byte_In+0, 0
	MOVWF      INDF+0
;RTC_DS1302.mbas,99 :: 		next Read_Counter             'get all the bytes
	MOVF       RTC_DS1302_Read_Counter+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_RTC_Read21
	INCF       RTC_DS1302_Read_Counter+0, 1
	GOTO       L_RTC_DS1302_RTC_Read18
L_RTC_DS1302_RTC_Read21:
;RTC_DS1302.mbas,100 :: 		PortC.2 = 0                     'drop CE
	BCF        PORTC+0, 2
;RTC_DS1302.mbas,101 :: 		TrisC.4 = 0                     'set the Data bit as  output
	BCF        TRISC+0, 4
;RTC_DS1302.mbas,102 :: 		PortC.4 = 1                     'Leave Data in the high state
	BSF        PORTC+0, 4
;RTC_DS1302.mbas,103 :: 		end sub
L_end_RTC_Read:
	RETURN
; end of RTC_DS1302_RTC_Read

RTC_DS1302_RTC_Write:

;RTC_DS1302.mbas,105 :: 		sub procedure RTC_Write
;RTC_DS1302.mbas,106 :: 		PortC.3 = 0                     'Drop Clock
	BCF        PORTC+0, 3
;RTC_DS1302.mbas,107 :: 		PortC.4 = 0                     'And Data
	BCF        PORTC+0, 4
;RTC_DS1302.mbas,108 :: 		PortC.2 = 1                     'enable chip
	BSF        PORTC+0, 2
;RTC_DS1302.mbas,109 :: 		Byte_Out = Write_Command        'Write clock burst mode
	MOVLW      190
	MOVWF      RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,110 :: 		Write_Byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,111 :: 		for x = 0 to 8                'nine bytes the last byte isn't sent in burst + command
	CLRF       RTC_DS1302_x+0
L_RTC_DS1302_RTC_Write24:
;RTC_DS1302.mbas,112 :: 		Byte_Out = Buffer [x]
	MOVF       RTC_DS1302_x+0, 0
	ADDLW      RTC_DS1302_Buffer+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      RTC_DS1302_Byte_Out+0
;RTC_DS1302.mbas,113 :: 		Write_Byte                  'put a byte
	CALL       RTC_DS1302_Write_Byte+0
;RTC_DS1302.mbas,114 :: 		next x                        'put all the bytes
	MOVF       RTC_DS1302_x+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_RTC_Write27
	INCF       RTC_DS1302_x+0, 1
	GOTO       L_RTC_DS1302_RTC_Write24
L_RTC_DS1302_RTC_Write27:
;RTC_DS1302.mbas,115 :: 		PortC.2 = 0                     'drop CE
	BCF        PORTC+0, 2
;RTC_DS1302.mbas,117 :: 		end sub
L_end_RTC_Write:
	RETURN
; end of RTC_DS1302_RTC_Write

RTC_DS1302_Format_Disp_Buffers:

;RTC_DS1302.mbas,118 :: 		sub Procedure Format_Disp_Buffers
;RTC_DS1302.mbas,119 :: 		Clk_Txt = Clk_Txt_1     'Pre Load Buffer
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FSR
	MOVLW      RTC_DS1302_CLk_txt_1+0
	MOVWF      R0+0
	MOVLW      hi_addr(RTC_DS1302_CLk_txt_1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;RTC_DS1302.mbas,121 :: 		Clk_Txt [5] = ((Buffer [2] >> 4) and 0x01) + 0x30    'All BCD Data
	MOVF       RTC_DS1302_Buffer+2, 0
	MOVWF      RTC_DS1302_Clk_Txt+5
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	MOVLW      1
	ANDWF      RTC_DS1302_Clk_Txt+5, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+5, 1
;RTC_DS1302.mbas,122 :: 		Clk_Txt [6] = (Buffer [2] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+2, 0
	MOVWF      RTC_DS1302_Clk_Txt+6
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+6, 1
;RTC_DS1302.mbas,125 :: 		Clk_Txt [8] = ((Buffer [1] >> 4) and 0x07) + 0x30
	MOVF       RTC_DS1302_Buffer+1, 0
	MOVWF      RTC_DS1302_Clk_Txt+8
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	MOVLW      7
	ANDWF      RTC_DS1302_Clk_Txt+8, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+8, 1
;RTC_DS1302.mbas,126 :: 		Clk_Txt [9] = (Buffer [1] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      RTC_DS1302_Clk_Txt+9
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+9, 1
;RTC_DS1302.mbas,129 :: 		Clk_Txt [11] = ((Buffer [0] >> 4) and 0x07) + 0x30
	MOVF       RTC_DS1302_Buffer+0, 0
	MOVWF      RTC_DS1302_Clk_Txt+11
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	MOVLW      7
	ANDWF      RTC_DS1302_Clk_Txt+11, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+11, 1
;RTC_DS1302.mbas,130 :: 		Clk_Txt [12] = (Buffer [0] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+0, 0
	MOVWF      RTC_DS1302_Clk_Txt+12
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+12, 1
;RTC_DS1302.mbas,133 :: 		if (Buffer [2].5 = 1)
	BTFSS      RTC_DS1302_Buffer+2, 5
	GOTO       L_RTC_DS1302_Format_Disp_Buffers30
;RTC_DS1302.mbas,135 :: 		Clk_Txt [14] = "P"
	MOVLW      80
	MOVWF      RTC_DS1302_Clk_Txt+14
	GOTO       L_RTC_DS1302_Format_Disp_Buffers31
;RTC_DS1302.mbas,136 :: 		Else
L_RTC_DS1302_Format_Disp_Buffers30:
;RTC_DS1302.mbas,137 :: 		Clk_Txt [14] = "A"
	MOVLW      65
	MOVWF      RTC_DS1302_Clk_Txt+14
;RTC_DS1302.mbas,138 :: 		end if
L_RTC_DS1302_Format_Disp_Buffers31:
;RTC_DS1302.mbas,139 :: 		LCD_Out (1,1,Clk_Txt)        'and display them
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,141 :: 		Clk_Txt = Clk_Txt_2              'Preload buffer
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FSR
	MOVLW      RTC_DS1302_Clk_Txt_2+0
	MOVWF      R0+0
	MOVLW      hi_addr(RTC_DS1302_Clk_Txt_2+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;RTC_DS1302.mbas,143 :: 		Day_Pntr =(Buffer [5] - 1) * 3
	DECF       RTC_DS1302_Buffer+5, 0
	MOVWF      R0+0
	MOVLW      3
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      RTC_DS1302_Day_Pntr+0
;RTC_DS1302.mbas,144 :: 		Clk_Txt [3] = Day_List [Day_Pntr]
	MOVF       R0+0, 0
	ADDLW      RTC_DS1302_Day_List+0
	MOVWF      R1+0
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R1+1
	MOVF       R1+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R1+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+3
;RTC_DS1302.mbas,145 :: 		Clk_Txt [4] = Day_List [Day_Pntr + 1]
	INCF       R0+0, 0
	MOVWF      R1+0
	MOVLW      0
	MOVWF      R1+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R1+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R1+1, 1
	MOVF       R1+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R1+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+4
;RTC_DS1302.mbas,146 :: 		Clk_Txt [5] = Day_List [Day_Pntr + 2]
	MOVLW      2
	ADDWF      R0+0, 1
	MOVLW      0
	MOVWF      R0+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+5
;RTC_DS1302.mbas,148 :: 		Clk_Txt [7] = ((Buffer [4] >> 4) and 0x01) + 0x30
	MOVF       RTC_DS1302_Buffer+4, 0
	MOVWF      RTC_DS1302_Clk_Txt+7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	MOVLW      1
	ANDWF      RTC_DS1302_Clk_Txt+7, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+7, 1
;RTC_DS1302.mbas,149 :: 		Clk_Txt [8] = (Buffer [4] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+4, 0
	MOVWF      RTC_DS1302_Clk_Txt+8
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+8, 1
;RTC_DS1302.mbas,152 :: 		Clk_Txt [10] = ((Buffer [3] >> 4) and 0x03) + 0x30
	MOVF       RTC_DS1302_Buffer+3, 0
	MOVWF      RTC_DS1302_Clk_Txt+10
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	MOVLW      3
	ANDWF      RTC_DS1302_Clk_Txt+10, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+10, 1
;RTC_DS1302.mbas,153 :: 		Clk_Txt [11] = (Buffer [3] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      RTC_DS1302_Clk_Txt+11
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+11, 1
;RTC_DS1302.mbas,156 :: 		Clk_Txt [15] = ((Buffer [6] >> 4) and 0x0F) + 0x30
	MOVF       RTC_DS1302_Buffer+6, 0
	MOVWF      RTC_DS1302_Clk_Txt+15
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	MOVLW      15
	ANDWF      RTC_DS1302_Clk_Txt+15, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+15, 1
;RTC_DS1302.mbas,157 :: 		Clk_Txt [16] = (Buffer [6] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      RTC_DS1302_Clk_Txt+16
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+16, 1
;RTC_DS1302.mbas,159 :: 		LCD_Out (2,1,Clk_Txt)        'and display them
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,160 :: 		end sub
L_end_Format_Disp_Buffers:
	RETURN
; end of RTC_DS1302_Format_Disp_Buffers

RTC_DS1302_Get_Key_Stroke:

;RTC_DS1302.mbas,162 :: 		sub procedure Get_Key_Stroke
;RTC_DS1302.mbas,164 :: 		Get_Key_0:
L_RTC_DS1302_Get_Key_Stroke_get_key_0:
;RTC_DS1302.mbas,165 :: 		While Button(PORTA, 2, 50, 1)    'Wait for Button Down
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Get_Key_Stroke36
;RTC_DS1302.mbas,166 :: 		goto Get_Key_0
	GOTO       L_RTC_DS1302_Get_Key_Stroke_get_key_0
;RTC_DS1302.mbas,167 :: 		Wend
L_RTC_DS1302_Get_Key_Stroke36:
;RTC_DS1302.mbas,168 :: 		IntCon        = 0                  'Disable Intrupts
	CLRF       INTCON+0
;RTC_DS1302.mbas,169 :: 		TMR1IE_bit    = 0                  'Stop the timer
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RTC_DS1302.mbas,170 :: 		Tmr1IF_Bit    = 0                  'Clear any pending Intrupts
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;RTC_DS1302.mbas,171 :: 		Key_Timer_Reg = 0                  'Set up to mark time in this key stroke
	CLRF       _Key_Timer_Reg+0
;RTC_DS1302.mbas,172 :: 		TMR1H         = 0x3C
	MOVLW      60
	MOVWF      TMR1H+0
;RTC_DS1302.mbas,173 :: 		TMR1L         = 0xAF               'They may want to set the clock
	MOVLW      175
	MOVWF      TMR1L+0
;RTC_DS1302.mbas,174 :: 		Intcon        = 0xE0               'Inable Intrupts
	MOVLW      224
	MOVWF      INTCON+0
;RTC_DS1302.mbas,175 :: 		TMR1IE_bit = 1                     'start counting
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RTC_DS1302.mbas,176 :: 		Get_Key_Wait:
L_RTC_DS1302_Get_Key_Stroke_get_key_wait:
;RTC_DS1302.mbas,177 :: 		While  Button(PORTA, 2, 50, 0)   'Test for Button Up
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_RTC_DS1302_Get_Key_Stroke42
;RTC_DS1302.mbas,178 :: 		goto Get_Key_Wait
	GOTO       L_RTC_DS1302_Get_Key_Stroke_get_key_wait
;RTC_DS1302.mbas,179 :: 		Wend
L_RTC_DS1302_Get_Key_Stroke42:
;RTC_DS1302.mbas,180 :: 		TMR1IE_bit = 0                   'Stop Counter Bits 7,6 of Key_Timer_Reg have time
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RTC_DS1302.mbas,181 :: 		end sub
L_end_Get_Key_Stroke:
	RETURN
; end of RTC_DS1302_Get_Key_Stroke

_Set_Clock:

;RTC_DS1302.mbas,183 :: 		sub procedure Set_Clock
;RTC_DS1302.mbas,185 :: 		Lcd_Cmd (_LCD_Blink_Cursor_On) 'We'll need the curser
	MOVLW      15
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,186 :: 		RTC_Read                       'Start from current data
	CALL       RTC_DS1302_RTC_Read+0
;RTC_DS1302.mbas,187 :: 		Buffer [0] = 0                 'set seconds to 00 also Clock Hold
	CLRF       RTC_DS1302_Buffer+0
;RTC_DS1302.mbas,188 :: 		Format_Disp_Buffers            'Get data in output buffers for displaying
	CALL       RTC_DS1302_Format_Disp_Buffers+0
;RTC_DS1302.mbas,189 :: 		Lcd_Out (1,1,"SET")            'Tell them were setting it
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Set_Clock+0
	MOVLW      69
	MOVWF      ?LocalText_Set_Clock+1
	MOVLW      84
	MOVWF      ?LocalText_Set_Clock+2
	CLRF       ?LocalText_Set_Clock+3
	MOVLW      ?LocalText_Set_Clock+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,191 :: 		hh_Tens:
L__Set_Clock_hh_tens:
;RTC_DS1302.mbas,192 :: 		Lcd_Cmd (0x85)                 'Go to Data Ram Address five
	MOVLW      133
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,193 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,195 :: 		if Key_Timer_Reg and 0xC0 = 0  'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock48
;RTC_DS1302.mbas,197 :: 		Buffer [2] = Buffer [2] xor 0x10 'Flip Tens
	MOVLW      16
	XORWF      RTC_DS1302_Buffer+2, 1
;RTC_DS1302.mbas,198 :: 		LCD_Chr_Cp (((Buffer [2] >> 4)and 01) + 48)
	MOVF       RTC_DS1302_Buffer+2, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	MOVLW      1
	ANDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,199 :: 		goto hh_Tens
	GOTO       L__Set_Clock_hh_tens
L__Set_Clock48:
;RTC_DS1302.mbas,201 :: 		Buffer [2] = Buffer [2] or 0x80  'Set 12 Hour Clock
	BSF        RTC_DS1302_Buffer+2, 7
;RTC_DS1302.mbas,202 :: 		if   Key_Timer_Reg.7 = 1       'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock51
;RTC_DS1302.mbas,204 :: 		goto Set_Clock_Prompt     'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock51:
;RTC_DS1302.mbas,206 :: 		hh_Units:                               'Two second Key Press Fall Through
L__Set_Clock_hh_units:
;RTC_DS1302.mbas,207 :: 		LCD_Cmd (0x86)                 'Go to Data Ram Address 6
	MOVLW      134
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,208 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,209 :: 		if Key_Timer_Reg and 0xC0 = 0  'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock56
;RTC_DS1302.mbas,211 :: 		Buffer [2] = Buffer [2] + 1
	INCF       RTC_DS1302_Buffer+2, 1
;RTC_DS1302.mbas,212 :: 		if Buffer [2] .4 = 0    'is the tens digit a zero
	BTFSC      RTC_DS1302_Buffer+2, 4
	GOTO       L__Set_Clock59
;RTC_DS1302.mbas,214 :: 		if Buffer [2] and 0x0f > 9
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+2, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock62
;RTC_DS1302.mbas,216 :: 		Buffer [2] = (Buffer [2] and 0xF0 +1)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+2, 1
	INCF       RTC_DS1302_Buffer+2, 1
L__Set_Clock62:
;RTC_DS1302.mbas,217 :: 		end if
	GOTO       L__Set_Clock60
;RTC_DS1302.mbas,218 :: 		else                  'if the tens digit is a one
L__Set_Clock59:
;RTC_DS1302.mbas,219 :: 		if Buffer [2] and 0x0f > 2
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+2, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock65
;RTC_DS1302.mbas,221 :: 		Buffer [2] = (Buffer [2] and 0xF0)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+2, 1
L__Set_Clock65:
;RTC_DS1302.mbas,223 :: 		end if
L__Set_Clock60:
;RTC_DS1302.mbas,224 :: 		LCD_Chr_Cp ((Buffer [2]and 0x0F) + 48)
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+2, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,225 :: 		goto hh_Units
	GOTO       L__Set_Clock_hh_units
L__Set_Clock56:
;RTC_DS1302.mbas,227 :: 		Buffer [2] = Buffer [2] or 0x80  'Set 12 Hour Clock
	BSF        RTC_DS1302_Buffer+2, 7
;RTC_DS1302.mbas,228 :: 		if  Key_Timer_Reg.7 = 1          'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock68
;RTC_DS1302.mbas,230 :: 		goto Set_Clock_Prompt       'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock68:
;RTC_DS1302.mbas,233 :: 		mm_Tens:                                'Two second Key Press Fall Through
L__Set_Clock_mm_tens:
;RTC_DS1302.mbas,234 :: 		LCD_Cmd (8 or 0x80)            'Go to Data Ram Address 8
	MOVLW      136
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,235 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,236 :: 		if Key_Timer_Reg and 0xC0 = 0             'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock72
;RTC_DS1302.mbas,238 :: 		Buffer [1] = Buffer [1] + 0x10 ' add one to the Tens field
	MOVLW      16
	ADDWF      RTC_DS1302_Buffer+1, 1
;RTC_DS1302.mbas,239 :: 		if Buffer [1] and 0x70 > 0x50 'is it over Five?
	MOVLW      112
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      80
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock75
;RTC_DS1302.mbas,241 :: 		Buffer [1] = (Buffer [1] and 0x0F) 'set it to Zero
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+1, 1
L__Set_Clock75:
;RTC_DS1302.mbas,243 :: 		LCD_Chr_Cp (((Buffer [1]and 0x70) >> 4) + 48) 'Not a short press display what we have
	MOVLW      112
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,244 :: 		goto mm_Tens               '2 Sec press move to next field
	GOTO       L__Set_Clock_mm_tens
L__Set_Clock72:
;RTC_DS1302.mbas,247 :: 		if   Key_Timer_Reg.7 = 1     'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock78
;RTC_DS1302.mbas,249 :: 		goto Set_Clock_Prompt      'Yes set clock
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock78:
;RTC_DS1302.mbas,253 :: 		mm_Units:                               'Two second Key Press Fall Through
L__Set_Clock_mm_units:
;RTC_DS1302.mbas,254 :: 		LCD_Cmd (9 or 0x80)            'Go to Data Ram Address 9
	MOVLW      137
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,255 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,256 :: 		if Key_Timer_Reg and 0xC0 = 0             'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock82
;RTC_DS1302.mbas,258 :: 		Buffer [1] = Buffer [1] + 0x01 ' add one to the Units field
	INCF       RTC_DS1302_Buffer+1, 1
;RTC_DS1302.mbas,259 :: 		if Buffer [1] and 0x0F > 9 'is it over Nine?
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock85
;RTC_DS1302.mbas,261 :: 		Buffer [1] = (Buffer [1] and 0xF0) 'set it to Zero
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+1, 1
L__Set_Clock85:
;RTC_DS1302.mbas,263 :: 		LCD_Chr_Cp ((Buffer [1]and 0x0F)  + 48) 'Not a short press display what we have
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,264 :: 		goto mm_Units               '2 Sec press move to next field
	GOTO       L__Set_Clock_mm_units
L__Set_Clock82:
;RTC_DS1302.mbas,267 :: 		if   Key_Timer_Reg.7 = 1      'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock88
;RTC_DS1302.mbas,269 :: 		goto Set_Clock_Prompt       'Yes set clock
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock88:
;RTC_DS1302.mbas,274 :: 		AM_PM:
L__Set_Clock_am_pm:
;RTC_DS1302.mbas,275 :: 		Lcd_Cmd (14 or 0x80)           'Go to Data Ram Address fourteen
	MOVLW      142
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,276 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,278 :: 		if Key_Timer_Reg and 0xC0 = 0             'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock92
;RTC_DS1302.mbas,280 :: 		Buffer [2] = Buffer [2] xor 0x20   'Flip the flag in the Buffer
	MOVLW      32
	XORWF      RTC_DS1302_Buffer+2, 1
;RTC_DS1302.mbas,281 :: 		if Buffer [2].5 = 1
	BTFSS      RTC_DS1302_Buffer+2, 5
	GOTO       L__Set_Clock95
;RTC_DS1302.mbas,283 :: 		LCD_Chr_Cp ("P")
	MOVLW      80
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
	GOTO       L__Set_Clock96
;RTC_DS1302.mbas,284 :: 		else
L__Set_Clock95:
;RTC_DS1302.mbas,285 :: 		LCD_Chr_Cp ("A")
	MOVLW      65
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,286 :: 		end if
L__Set_Clock96:
;RTC_DS1302.mbas,287 :: 		goto AM_PM
	GOTO       L__Set_Clock_am_pm
L__Set_Clock92:
;RTC_DS1302.mbas,289 :: 		Buffer [2] = Buffer [2] or 0x80  'Set 12 Hour Clock
	BSF        RTC_DS1302_Buffer+2, 7
;RTC_DS1302.mbas,290 :: 		if  Key_Timer_Reg.7 = 1      'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock98
;RTC_DS1302.mbas,292 :: 		goto Set_Clock_Prompt       'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock98:
;RTC_DS1302.mbas,295 :: 		Day_Of_Week:                            'Two second Key Press Fall Through
L__Set_Clock_day_of_week:
;RTC_DS1302.mbas,296 :: 		Lcd_Cmd (3 +0x40 or 0x80)      'Go to Data Ram Address three of second row
	MOVLW      195
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,297 :: 		Get_Key_Stroke                 'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,298 :: 		if Key_Timer_Reg and 0xC0 = 0  'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock102
;RTC_DS1302.mbas,300 :: 		Buffer [5] = Buffer [5] + 1 'Bump Dat Counter
	INCF       RTC_DS1302_Buffer+5, 1
;RTC_DS1302.mbas,301 :: 		if Buffer [5]  > 7         'is it over Seven?
	MOVF       RTC_DS1302_Buffer+5, 0
	SUBLW      7
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock105
;RTC_DS1302.mbas,303 :: 		Buffer [5] = 1         'set it to One
	MOVLW      1
	MOVWF      RTC_DS1302_Buffer+5
L__Set_Clock105:
;RTC_DS1302.mbas,305 :: 		Day_Pntr =(Buffer [5] - 1) * 3      'Display the results
	DECF       RTC_DS1302_Buffer+5, 0
	MOVWF      R0+0
	MOVLW      3
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      RTC_DS1302_Day_Pntr+0
;RTC_DS1302.mbas,306 :: 		Lcd_Chr_Cp (Day_List [Day_Pntr])
	MOVLW      0
	MOVWF      R0+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,307 :: 		Lcd_Chr_Cp (Day_List [Day_Pntr + 1])
	INCF       RTC_DS1302_Day_Pntr+0, 0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,308 :: 		Lcd_Chr_Cp (Day_List [Day_Pntr + 2])
	MOVLW      2
	ADDWF      RTC_DS1302_Day_Pntr+0, 0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,309 :: 		goto Day_Of_Week         'and get another entry
	GOTO       L__Set_Clock_day_of_week
L__Set_Clock102:
;RTC_DS1302.mbas,312 :: 		if  Key_Timer_Reg.7 = 1          'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock108
;RTC_DS1302.mbas,314 :: 		goto Set_Clock_Prompt       'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock108:
;RTC_DS1302.mbas,317 :: 		Month_Tens:                               'Two second Key Press Fall Through
L__Set_Clock_month_tens:
;RTC_DS1302.mbas,318 :: 		Lcd_Cmd (7 + 0x40 or 0x80)       'Go to Data Ram Address seven in the second row
	MOVLW      199
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,319 :: 		Get_Key_Stroke                   'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,321 :: 		if Key_Timer_Reg and 0xC0 = 0    'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock112
;RTC_DS1302.mbas,323 :: 		Buffer [4] = Buffer [4] xor 0x10
	MOVLW      16
	XORWF      RTC_DS1302_Buffer+4, 1
;RTC_DS1302.mbas,324 :: 		LCD_Chr_Cp ((Buffer [4] >> 4) + 48)
	MOVF       RTC_DS1302_Buffer+4, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,325 :: 		goto Month_Tens
	GOTO       L__Set_Clock_month_tens
L__Set_Clock112:
;RTC_DS1302.mbas,328 :: 		if  Key_Timer_Reg.7 = 1          'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock115
;RTC_DS1302.mbas,330 :: 		goto Set_Clock_Prompt       'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock115:
;RTC_DS1302.mbas,332 :: 		Month_Units:                              'Two second Key Press Fall Through
L__Set_Clock_month_units:
;RTC_DS1302.mbas,333 :: 		LCD_Cmd (8 + 0x40 or 0x80)       'Go to Data Ram Address eight in row two
	MOVLW      200
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,334 :: 		Get_Key_Stroke                   'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,335 :: 		if Key_Timer_Reg and 0xC0 = 0    'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock119
;RTC_DS1302.mbas,337 :: 		Buffer [4] = Buffer [4] + 1
	INCF       RTC_DS1302_Buffer+4, 1
;RTC_DS1302.mbas,338 :: 		if Buffer [4] .4 = 0      'is the tens digit a zero
	BTFSC      RTC_DS1302_Buffer+4, 4
	GOTO       L__Set_Clock122
;RTC_DS1302.mbas,340 :: 		if Buffer [4] and 0x0f > 9
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock125
;RTC_DS1302.mbas,342 :: 		Buffer [4] = (Buffer [4] and 0xF0 +1)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+4, 1
	INCF       RTC_DS1302_Buffer+4, 1
L__Set_Clock125:
;RTC_DS1302.mbas,343 :: 		end if
	GOTO       L__Set_Clock123
;RTC_DS1302.mbas,344 :: 		else                    'if the tens digit is a one
L__Set_Clock122:
;RTC_DS1302.mbas,345 :: 		if Buffer [4] and 0x0f > 2
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock128
;RTC_DS1302.mbas,347 :: 		Buffer [4] = (Buffer [4] and 0xF0)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+4, 1
L__Set_Clock128:
;RTC_DS1302.mbas,349 :: 		end if
L__Set_Clock123:
;RTC_DS1302.mbas,350 :: 		LCD_Chr_Cp ((Buffer [4]and 0x0F) + 48)
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+4, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,351 :: 		goto Month_Units
	GOTO       L__Set_Clock_month_units
L__Set_Clock119:
;RTC_DS1302.mbas,354 :: 		if  Key_Timer_Reg.7 = 1        'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock131
;RTC_DS1302.mbas,356 :: 		goto Set_Clock_Prompt         'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock131:
;RTC_DS1302.mbas,361 :: 		Date_Tens:                                 'Two second Key Press Fall Through
L__Set_Clock_date_tens:
;RTC_DS1302.mbas,362 :: 		Lcd_Cmd (10 + 0x40 or 0x80)       'Go to Data Ram Address Ten in saecond row
	MOVLW      202
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,363 :: 		Get_Key_Stroke                    'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,365 :: 		if Key_Timer_Reg and 0xC0 = 0     'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock135
;RTC_DS1302.mbas,367 :: 		Buffer [3] = Buffer [3] + 0x10 'Bump the tens digit
	MOVLW      16
	ADDWF      RTC_DS1302_Buffer+3, 1
;RTC_DS1302.mbas,368 :: 		if Buffer [3] and 0xF0 > 0x30 'no more than 3
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      48
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock138
;RTC_DS1302.mbas,370 :: 		Buffer [3] = (Buffer [3] and 0x0F)   'reset to 0
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 1
L__Set_Clock138:
;RTC_DS1302.mbas,372 :: 		LCD_Chr_Cp ((Buffer [3] >> 4) + 48)
	MOVF       RTC_DS1302_Buffer+3, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,373 :: 		goto Date_Tens
	GOTO       L__Set_Clock_date_tens
L__Set_Clock135:
;RTC_DS1302.mbas,376 :: 		if  Key_Timer_Reg.7 = 1            'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock141
;RTC_DS1302.mbas,378 :: 		goto Set_Clock_Prompt         'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock141:
;RTC_DS1302.mbas,380 :: 		Date_Units:                                 'Two second Key Press Fall Through
L__Set_Clock_date_units:
;RTC_DS1302.mbas,381 :: 		LCD_Cmd (11 + 0x40 or 0x80)        'Got to Data Ram Address 11 in second row
	MOVLW      203
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,382 :: 		Get_Key_Stroke                     'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,383 :: 		if Key_Timer_Reg and 0xC0 = 0      'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock145
;RTC_DS1302.mbas,385 :: 		Buffer [3] = Buffer [3] + 1
	INCF       RTC_DS1302_Buffer+3, 1
;RTC_DS1302.mbas,386 :: 		if Buffer [3] and 0x30 = 0x30 'is the tens digit a three
	MOVLW      48
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      48
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock148
;RTC_DS1302.mbas,388 :: 		if Buffer [3] and 0x0f > 1
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock151
;RTC_DS1302.mbas,390 :: 		Buffer [3] = (Buffer [3] and 0xF0)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+3, 1
L__Set_Clock151:
;RTC_DS1302.mbas,391 :: 		end if
	GOTO       L__Set_Clock149
;RTC_DS1302.mbas,392 :: 		else                      'if the tens digit is a 0 - 2
L__Set_Clock148:
;RTC_DS1302.mbas,393 :: 		if Buffer [3] and 0x0F > 9
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock154
;RTC_DS1302.mbas,395 :: 		if Buffer [3] and 0xf0 = 0
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock157
;RTC_DS1302.mbas,397 :: 		Buffer [3] = (Buffer [3] and 0xF0) +1
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+3, 1
	INCF       RTC_DS1302_Buffer+3, 1
	GOTO       L__Set_Clock158
;RTC_DS1302.mbas,398 :: 		else
L__Set_Clock157:
;RTC_DS1302.mbas,399 :: 		Buffer [3] = (Buffer [3] and 0xF0)
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+3, 1
;RTC_DS1302.mbas,400 :: 		end if
L__Set_Clock158:
L__Set_Clock154:
;RTC_DS1302.mbas,402 :: 		end if
L__Set_Clock149:
;RTC_DS1302.mbas,403 :: 		LCD_Chr_Cp ((Buffer [3]and 0x0F) + 48)
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,404 :: 		goto Date_Units
	GOTO       L__Set_Clock_date_units
L__Set_Clock145:
;RTC_DS1302.mbas,407 :: 		if  Key_Timer_Reg.7 = 1            'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock160
;RTC_DS1302.mbas,409 :: 		goto Set_Clock_Prompt         'Yes there done
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock160:
;RTC_DS1302.mbas,414 :: 		Year_Tens:                                  'Two second Key Press Fall Through
L__Set_Clock_year_tens:
;RTC_DS1302.mbas,415 :: 		LCD_Cmd (15 + 0x40 or 0x80)        'Go to Data Ram Address 15 in second row
	MOVLW      207
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,416 :: 		Get_Key_Stroke                     'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,417 :: 		if Key_Timer_Reg and 0xC0 = 0      'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock164
;RTC_DS1302.mbas,419 :: 		Buffer [6] = Buffer [6] + 0x10  'add one to the Tens field
	MOVLW      16
	ADDWF      RTC_DS1302_Buffer+6, 1
;RTC_DS1302.mbas,420 :: 		if Buffer [6] and 0xF0 > 0x90 'is it over Nine?
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      144
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock167
;RTC_DS1302.mbas,422 :: 		Buffer [6] = (Buffer [6] and 0x0F) 'set it to Zero
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+6, 1
L__Set_Clock167:
;RTC_DS1302.mbas,424 :: 		LCD_Chr_Cp (((Buffer [6]and 0xF0) >> 4)  + 48) ' display what we have
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	RRF        FARG_Lcd_Chr_CP_Out_Char+0, 1
	BCF        FARG_Lcd_Chr_CP_Out_Char+0, 7
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,425 :: 		goto Year_Tens               '2 Sec press move to next field
	GOTO       L__Set_Clock_year_tens
L__Set_Clock164:
;RTC_DS1302.mbas,428 :: 		if Key_Timer_Reg.7 = 1            'Five Sec Press?
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__Set_Clock170
;RTC_DS1302.mbas,430 :: 		goto Set_Clock_Prompt        'Yes set clock
	GOTO       L__Set_Clock_set_clock_prompt
L__Set_Clock170:
;RTC_DS1302.mbas,436 :: 		Year_Units:
L__Set_Clock_year_units:
;RTC_DS1302.mbas,437 :: 		LCD_Cmd (16 + 0x40 or 0x80)       'Go to Data Ram Address 16 in second row
	MOVLW      208
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,438 :: 		Get_Key_Stroke                    'See what they want to do now
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,439 :: 		if Key_Timer_Reg and 0xC0 = 0     'this is a short press
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Set_Clock174
;RTC_DS1302.mbas,441 :: 		Buffer [6] = Buffer [6] + 0x01 'add one to the Units field
	INCF       RTC_DS1302_Buffer+6, 1
;RTC_DS1302.mbas,442 :: 		if Buffer [6] and 0x0F > 9 'is it over Nine?
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock177
;RTC_DS1302.mbas,444 :: 		Buffer [6] = (Buffer [6] and 0xF0) 'set it to Zero
	MOVLW      240
	ANDWF      RTC_DS1302_Buffer+6, 1
L__Set_Clock177:
;RTC_DS1302.mbas,446 :: 		LCD_Chr_Cp ((Buffer [6]and 0x0F)  + 48) 'Display what we have
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	MOVLW      48
	ADDWF      FARG_Lcd_Chr_CP_Out_Char+0, 1
	CALL       _Lcd_Chr_CP+0
;RTC_DS1302.mbas,447 :: 		goto Year_Units              '2 Sec press move to next field
	GOTO       L__Set_Clock_year_units
L__Set_Clock174:
;RTC_DS1302.mbas,449 :: 		Set_Clock_Prompt:                          'All Done set clock
L__Set_Clock_set_clock_prompt:
;RTC_DS1302.mbas,450 :: 		LCD_Chr (1,4,"?")                 'Ask the question
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      63
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RTC_DS1302.mbas,451 :: 		Lcd_Cmd (3 or 0x80)               'Go to Data Ram Address three of first row
	MOVLW      131
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,452 :: 		Get_Key_Stroke                    'Give them a choice
	CALL       RTC_DS1302_Get_Key_Stroke+0
;RTC_DS1302.mbas,453 :: 		if Key_Timer_Reg and 0xC0 > 0   'Any long Press skipps setting
	MOVLW      192
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__Set_Clock180
;RTC_DS1302.mbas,454 :: 		then goto Set_Clock_Exit
	GOTO       L__Set_Clock_set_clock_exit
L__Set_Clock180:
;RTC_DS1302.mbas,456 :: 		RTC_Write
	CALL       RTC_DS1302_RTC_Write+0
;RTC_DS1302.mbas,457 :: 		Set_Clock_Exit:
L__Set_Clock_set_clock_exit:
;RTC_DS1302.mbas,458 :: 		Lcd_Cmd (_LCD_Cursor_Off)         'We'll need the curser  OFF now
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RTC_DS1302.mbas,459 :: 		Lcd_Out (1,1,"    ")              'Erase the setting message
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Set_Clock+0
	MOVLW      32
	MOVWF      ?LocalText_Set_Clock+1
	MOVLW      32
	MOVWF      ?LocalText_Set_Clock+2
	MOVLW      32
	MOVWF      ?LocalText_Set_Clock+3
	CLRF       ?LocalText_Set_Clock+4
	MOVLW      ?LocalText_Set_Clock+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,460 :: 		end sub
L_end_Set_Clock:
	RETURN
; end of _Set_Clock

_Get_Clock:

;RTC_DS1302.mbas,464 :: 		sub procedure Get_Clock
;RTC_DS1302.mbas,465 :: 		Buffer  = Set_Data                'This is the write Ckock Command fill the rest of the
	MOVLW      RTC_DS1302_Buffer+0
	MOVWF      FSR
	MOVLW      RTC_DS1302_Set_Data+0
	MOVWF      R0+0
	MOVLW      hi_addr(RTC_DS1302_Set_Data+0)
	MOVWF      R0+1
	MOVLW      8
	MOVWF      R2+0
	CALL       ___CCA2AW+0
;RTC_DS1302.mbas,468 :: 		RTC_Init                          'Set up for wrting
	CALL       RTC_DS1302_RTC_Init+0
;RTC_DS1302.mbas,469 :: 		RTC_Read                          'InitTimer1 'Setup the timer for 100 ms but don't start it
	CALL       RTC_DS1302_RTC_Read+0
;RTC_DS1302.mbas,472 :: 		Clk_Txt = Clk_Txt_1               'Pre Load Buffer
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FSR
	MOVLW      RTC_DS1302_CLk_txt_1+0
	MOVWF      R0+0
	MOVLW      hi_addr(RTC_DS1302_CLk_txt_1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;RTC_DS1302.mbas,474 :: 		Clk_Txt [5] = ((Buffer [2] >> 4) and 0x01) + 0x30
	MOVF       RTC_DS1302_Buffer+2, 0
	MOVWF      RTC_DS1302_Clk_Txt+5
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	RRF        RTC_DS1302_Clk_Txt+5, 1
	BCF        RTC_DS1302_Clk_Txt+5, 7
	MOVLW      1
	ANDWF      RTC_DS1302_Clk_Txt+5, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+5, 1
;RTC_DS1302.mbas,475 :: 		Clk_Txt [6] = (Buffer [2] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+2, 0
	MOVWF      RTC_DS1302_Clk_Txt+6
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+6, 1
;RTC_DS1302.mbas,478 :: 		Clk_Txt [8] = ((Buffer [1] >> 4) and 0x07) + 0x30
	MOVF       RTC_DS1302_Buffer+1, 0
	MOVWF      RTC_DS1302_Clk_Txt+8
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	RRF        RTC_DS1302_Clk_Txt+8, 1
	BCF        RTC_DS1302_Clk_Txt+8, 7
	MOVLW      7
	ANDWF      RTC_DS1302_Clk_Txt+8, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+8, 1
;RTC_DS1302.mbas,479 :: 		Clk_Txt [9] = (Buffer [1] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+1, 0
	MOVWF      RTC_DS1302_Clk_Txt+9
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+9, 1
;RTC_DS1302.mbas,482 :: 		Clk_Txt [11] = ((Buffer [0] >> 4) and 0x07) + 0x30
	MOVF       RTC_DS1302_Buffer+0, 0
	MOVWF      RTC_DS1302_Clk_Txt+11
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	RRF        RTC_DS1302_Clk_Txt+11, 1
	BCF        RTC_DS1302_Clk_Txt+11, 7
	MOVLW      7
	ANDWF      RTC_DS1302_Clk_Txt+11, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+11, 1
;RTC_DS1302.mbas,483 :: 		Clk_Txt [12] = (Buffer [0] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+0, 0
	MOVWF      RTC_DS1302_Clk_Txt+12
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+12, 1
;RTC_DS1302.mbas,486 :: 		if (Buffer [2].5 = 1)
	BTFSS      RTC_DS1302_Buffer+2, 5
	GOTO       L__Get_Clock185
;RTC_DS1302.mbas,488 :: 		Clk_Txt [14] = "P"
	MOVLW      80
	MOVWF      RTC_DS1302_Clk_Txt+14
	GOTO       L__Get_Clock186
;RTC_DS1302.mbas,489 :: 		Else
L__Get_Clock185:
;RTC_DS1302.mbas,490 :: 		Clk_Txt [14] = "A"
	MOVLW      65
	MOVWF      RTC_DS1302_Clk_Txt+14
;RTC_DS1302.mbas,491 :: 		end if
L__Get_Clock186:
;RTC_DS1302.mbas,492 :: 		LCD_Out (1,1,Clk_Txt)              'and display them
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,494 :: 		Clk_Txt = Clk_Txt_2                'Preload buffer
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FSR
	MOVLW      RTC_DS1302_Clk_Txt_2+0
	MOVWF      R0+0
	MOVLW      hi_addr(RTC_DS1302_Clk_Txt_2+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;RTC_DS1302.mbas,496 :: 		Day_Pntr =(Buffer [5] - 1) * 3
	DECF       RTC_DS1302_Buffer+5, 0
	MOVWF      R0+0
	MOVLW      3
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      RTC_DS1302_Day_Pntr+0
;RTC_DS1302.mbas,497 :: 		Clk_Txt [3] = Day_List [Day_Pntr]
	MOVF       R0+0, 0
	ADDLW      RTC_DS1302_Day_List+0
	MOVWF      R1+0
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R1+1
	MOVF       R1+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R1+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+3
;RTC_DS1302.mbas,498 :: 		Clk_Txt [4] = Day_List [Day_Pntr + 1]
	INCF       R0+0, 0
	MOVWF      R1+0
	MOVLW      0
	MOVWF      R1+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R1+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R1+1, 1
	MOVF       R1+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R1+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+4
;RTC_DS1302.mbas,499 :: 		Clk_Txt [5] = Day_List [Day_Pntr + 2]
	MOVLW      2
	ADDWF      R0+0, 1
	MOVLW      0
	MOVWF      R0+1
	MOVLW      RTC_DS1302_Day_List+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(RTC_DS1302_Day_List+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      RTC_DS1302_Clk_Txt+5
;RTC_DS1302.mbas,502 :: 		Clk_Txt [7] = ((Buffer [4] >> 4) and 0x01) + 0x30
	MOVF       RTC_DS1302_Buffer+4, 0
	MOVWF      RTC_DS1302_Clk_Txt+7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	RRF        RTC_DS1302_Clk_Txt+7, 1
	BCF        RTC_DS1302_Clk_Txt+7, 7
	MOVLW      1
	ANDWF      RTC_DS1302_Clk_Txt+7, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+7, 1
;RTC_DS1302.mbas,503 :: 		Clk_Txt [8] = (Buffer [4] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+4, 0
	MOVWF      RTC_DS1302_Clk_Txt+8
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+8, 1
;RTC_DS1302.mbas,506 :: 		Clk_Txt [10] = ((Buffer [3] >> 4) and 0x03) + 0x30
	MOVF       RTC_DS1302_Buffer+3, 0
	MOVWF      RTC_DS1302_Clk_Txt+10
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	RRF        RTC_DS1302_Clk_Txt+10, 1
	BCF        RTC_DS1302_Clk_Txt+10, 7
	MOVLW      3
	ANDWF      RTC_DS1302_Clk_Txt+10, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+10, 1
;RTC_DS1302.mbas,507 :: 		Clk_Txt [11] = (Buffer [3] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+3, 0
	MOVWF      RTC_DS1302_Clk_Txt+11
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+11, 1
;RTC_DS1302.mbas,510 :: 		Clk_Txt [15] = ((Buffer [6] >> 4) and 0x0F) + 0x30
	MOVF       RTC_DS1302_Buffer+6, 0
	MOVWF      RTC_DS1302_Clk_Txt+15
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	RRF        RTC_DS1302_Clk_Txt+15, 1
	BCF        RTC_DS1302_Clk_Txt+15, 7
	MOVLW      15
	ANDWF      RTC_DS1302_Clk_Txt+15, 1
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+15, 1
;RTC_DS1302.mbas,511 :: 		Clk_Txt [16] = (Buffer [6] and 0x0F) + 0x30
	MOVLW      15
	ANDWF      RTC_DS1302_Buffer+6, 0
	MOVWF      RTC_DS1302_Clk_Txt+16
	MOVLW      48
	ADDWF      RTC_DS1302_Clk_Txt+16, 1
;RTC_DS1302.mbas,513 :: 		LCD_Out (2,1,Clk_Txt)               'and display them
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      RTC_DS1302_Clk_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RTC_DS1302.mbas,515 :: 		end sub
L_end_Get_Clock:
	RETURN
; end of _Get_Clock

_RTC_DS1302_?main:

;RTC_DS1302.mbas,516 :: 		end.
L_end_RTC_DS1302_?main:
	RETURN
; end of _RTC_DS1302_?main
