
_InitTimers:

;Sub_Routines.mbas,91 :: 		sub procedure InitTimers()           'Initialize for Timer Zero Clock Source, Edge, Prescaler
;Sub_Routines.mbas,94 :: 		Option_Reg = 0x87
	MOVLW      135
	MOVWF      OPTION_REG+0
;Sub_Routines.mbas,95 :: 		Tmr0 = 5                           'This timer 0 for 16 MS is the longest time with this 16MH Crystal
	MOVLW      5
	MOVWF      TMR0+0
;Sub_Routines.mbas,100 :: 		T1CON         = 0x31               '100MS Ticks
	MOVLW      49
	MOVWF      T1CON+0
;Sub_Routines.mbas,101 :: 		TMR1IF_bit    = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;Sub_Routines.mbas,102 :: 		TMR1H         = 0x3C
	MOVLW      60
	MOVWF      TMR1H+0
;Sub_Routines.mbas,103 :: 		TMR1L         = 0xAF
	MOVLW      175
	MOVWF      TMR1L+0
;Sub_Routines.mbas,104 :: 		TMR1IE_bit    = 0                  'Don't start it
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;Sub_Routines.mbas,107 :: 		INTCON        = 0xE0               'Enable Intrupts
	MOVLW      224
	MOVWF      INTCON+0
;Sub_Routines.mbas,109 :: 		end sub
L_end_InitTimers:
	RETURN
; end of _InitTimers

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Sub_Routines.mbas,111 :: 		sub procedure Interrupt()
;Sub_Routines.mbas,113 :: 		if (TMR0IF_bit)                                     'Be sure it's Timer Zero
	BTFSS      TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
	GOTO       L__Interrupt3
;Sub_Routines.mbas,115 :: 		TMR0IF_bit = 0                                 'Clear the fact that it happened for the next one
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;Sub_Routines.mbas,116 :: 		TMR0 = 5                                       'Reset the counts for 16 MS
	MOVLW      5
	MOVWF      TMR0+0
;Sub_Routines.mbas,117 :: 		if Period_Reached <> Period                    'Don't let it go over the Period Requested
	MOVF       _Period_Reached+1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt72
	MOVLW      155
	XORWF      _Period_Reached+0, 0
L__Interrupt72:
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt6
;Sub_Routines.mbas,119 :: 		Period_Reached = Period_Reached + 1          'This is our scailer for long time periods
	INCF       _Period_Reached+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Period_Reached+1, 1
L__Interrupt6:
;Sub_Routines.mbas,122 :: 		if  Bat_Sample_Counter <> Bat_Sample_Period    'Don't let it roll over
	MOVF       _Bat_Sample_counter+0, 0
	XORLW      62
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt9
;Sub_Routines.mbas,124 :: 		Bat_Sample_Counter = Bat_Sample_Counter +1 'Battery sample time to avoid Display Flashing
	INCF       _Bat_Sample_counter+0, 1
L__Interrupt9:
;Sub_Routines.mbas,127 :: 		if  Disp_One_Cycle_Timer <> Disp_One_Delay     'Don't let it roll over
	MOVF       _Disp_One_Cycle_Timer+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt73
	MOVLW      54
	XORWF      _Disp_One_Cycle_Timer+0, 0
L__Interrupt73:
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt12
;Sub_Routines.mbas,129 :: 		Disp_One_Cycle_Timer = Disp_One_Cycle_Timer +1 'Cycle Timers
	INCF       _Disp_One_Cycle_Timer+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Disp_One_Cycle_Timer+1, 1
L__Interrupt12:
;Sub_Routines.mbas,132 :: 		if  Disp_Two_Cycle_Timer <> Disp_Two_Delay     'Don't let it roll over
	MOVF       _Disp_Two_Cycle_Timer+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt74
	MOVLW      54
	XORWF      _Disp_Two_Cycle_Timer+0, 0
L__Interrupt74:
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt15
;Sub_Routines.mbas,134 :: 		Disp_Two_Cycle_Timer = Disp_Two_Cycle_Timer +1
	INCF       _Disp_Two_Cycle_Timer+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Disp_Two_Cycle_Timer+1, 1
L__Interrupt15:
;Sub_Routines.mbas,135 :: 		end if
L__Interrupt3:
;Sub_Routines.mbas,139 :: 		if (TMR1IF_bit)                          'Service Timer One
	BTFSS      TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L__Interrupt18
;Sub_Routines.mbas,141 :: 		TMR1IF_bit    = 0                    'Clear the Int Flag
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;Sub_Routines.mbas,142 :: 		TMR1H         = 0x3C                 'Reset Counters
	MOVLW      60
	MOVWF      TMR1H+0
;Sub_Routines.mbas,143 :: 		TMR1L         = 0xAF
	MOVLW      175
	MOVWF      TMR1L+0
;Sub_Routines.mbas,144 :: 		Key_Timer_Reg = Key_Timer_Reg + 1     'Count 100 ms interval
	INCF       _Key_Timer_Reg+0, 1
;Sub_Routines.mbas,146 :: 		if Key_Timer_Reg.7 = 0                  'Are we over five sec's
	BTFSC      _Key_Timer_Reg+0, 7
	GOTO       L__Interrupt21
;Sub_Routines.mbas,148 :: 		if Key_Timer_Reg and 0x3F = 20      'Have we reached two sec ?
	MOVLW      63
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt24
;Sub_Routines.mbas,150 :: 		Key_Timer_Reg.6 = 1               'Yes flag it
	BSF        _Key_Timer_Reg+0, 6
L__Interrupt24:
;Sub_Routines.mbas,154 :: 		if Key_Timer_Reg and 0x3F = 50      'Is it at five sec's?
	MOVLW      63
	ANDWF      _Key_Timer_Reg+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt27
;Sub_Routines.mbas,156 :: 		Key_Timer_Reg.7 = 1              'Flag five seconds
	BSF        _Key_Timer_Reg+0, 7
;Sub_Routines.mbas,157 :: 		Key_Timer_Reg.6 = 0              'Clear two seconds
	BCF        _Key_Timer_Reg+0, 6
;Sub_Routines.mbas,158 :: 		TMR1IE_bit = 0                   'and stop counting
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
L__Interrupt27:
;Sub_Routines.mbas,159 :: 		end if
L__Interrupt21:
;Sub_Routines.mbas,160 :: 		end if
L__Interrupt18:
;Sub_Routines.mbas,164 :: 		end sub
L_end_Interrupt:
L__Interrupt71:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Pnt_Greeting:

;Sub_Routines.mbas,166 :: 		sub procedure Pnt_Greeting                     'Display Greeting Text
;Sub_Routines.mbas,167 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,168 :: 		Pnt_Buffer = Greet_Line1
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Greet_Line1+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Greet_Line1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,169 :: 		Lcd_out (1,1,Pnt_buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,170 :: 		Lcd_Chr (1,14,6)                 'Raisec "C" chsr for the Copyright symbol
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,171 :: 		Pnt_Buffer = Greet_Line2
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Greet_Line2+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Greet_Line2+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,172 :: 		Lcd_out (2,1,Pnt_Buffer)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,173 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,175 :: 		End Sub
L_end_Pnt_Greeting:
	RETURN
; end of _Pnt_Greeting

_Print_Temp_Rh:

;Sub_Routines.mbas,177 :: 		sub procedure  Print_Temp_Rh (Dim OI as byte)
;Sub_Routines.mbas,179 :: 		LCD_OUT (2,2," TMP= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Temp_Rh+0
	MOVLW      84
	MOVWF      ?LocalText_Print_Temp_Rh+1
	MOVLW      77
	MOVWF      ?LocalText_Print_Temp_Rh+2
	MOVLW      80
	MOVWF      ?LocalText_Print_Temp_Rh+3
	MOVLW      61
	MOVWF      ?LocalText_Print_Temp_Rh+4
	MOVLW      32
	MOVWF      ?LocalText_Print_Temp_Rh+5
	CLRF       ?LocalText_Print_Temp_Rh+6
	MOVLW      ?LocalText_Print_Temp_Rh+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,180 :: 		Lcd_Chr(2, 10, 223)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,181 :: 		Lcd_Out (2,11," RH= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Temp_Rh+0
	MOVLW      82
	MOVWF      ?LocalText_Print_Temp_Rh+1
	MOVLW      72
	MOVWF      ?LocalText_Print_Temp_Rh+2
	MOVLW      61
	MOVWF      ?LocalText_Print_Temp_Rh+3
	MOVLW      32
	MOVWF      ?LocalText_Print_Temp_Rh+4
	CLRF       ?LocalText_Print_Temp_Rh+5
	MOVLW      ?LocalText_Print_Temp_Rh+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,182 :: 		Lcd_Out (2,18,"% " )
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      18
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      37
	MOVWF      ?LocalText_Print_Temp_Rh+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Temp_Rh+1
	CLRF       ?LocalText_Print_Temp_Rh+2
	MOVLW      ?LocalText_Print_Temp_Rh+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,184 :: 		if OI = 0                      'Which Sensor?
	MOVF       FARG_Print_Temp_Rh_OI+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Print_Temp_Rh32
;Sub_Routines.mbas,186 :: 		Lcd_Out (2,7,Temp_Deg_F_O)   '0 is Outside
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,187 :: 		LCD_OUT (2,15,RH_Percent_O)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _RH_Percent_O+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L__Print_Temp_Rh33
;Sub_Routines.mbas,188 :: 		else
L__Print_Temp_Rh32:
;Sub_Routines.mbas,189 :: 		Lcd_Out (2,7,Temp_Deg_F_I)   '1 is Inside
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,190 :: 		LCD_OUT (2,15,RH_Percent_I)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _RH_Percent_I+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,191 :: 		end if
L__Print_Temp_Rh33:
;Sub_Routines.mbas,192 :: 		end sub
L_end_Print_Temp_Rh:
	RETURN
; end of _Print_Temp_Rh

_Bat_Line1_Txt:

;Sub_Routines.mbas,194 :: 		sub procedure  Bat_Line1_Txt                   'Normal Battery Voltage heading
;Sub_Routines.mbas,195 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,196 :: 		Pnt_Buffer = Battery_Volts_text
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Battery_Volts_Text+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Battery_Volts_Text+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,197 :: 		Lcd_Out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,198 :: 		IRP_BIT = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,199 :: 		end sub
L_end_Bat_Line1_Txt:
	RETURN
; end of _Bat_Line1_Txt

_Low_Bat_Line1_Txt:

;Sub_Routines.mbas,201 :: 		sub procedure  Low_Bat_Line1_Txt               'Battery Low Heading
;Sub_Routines.mbas,203 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,204 :: 		Pnt_Buffer = Low_Bat_Txt
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Low_Bat_Txt+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Low_Bat_Txt+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,205 :: 		Lcd_Out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,206 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,207 :: 		end  sub
L_end_Low_Bat_Line1_Txt:
	RETURN
; end of _Low_Bat_Line1_Txt

_Bat_Line2_Txt:

;Sub_Routines.mbas,209 :: 		Sub procedure  Bat_Line2_Txt                  'Line two of battery message
;Sub_Routines.mbas,210 :: 		LCD_Out (2,2, "  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line2_Txt+0
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line2_Txt+1
	CLRF       ?LocalText_Bat_Line2_Txt+2
	MOVLW      ?LocalText_Bat_Line2_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,211 :: 		Lcd_Out(2,4,txt)               'Write results centered in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,212 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,213 :: 		Pnt_Buffer = Bat_Text2
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Bat_Text2+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Bat_Text2+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,214 :: 		Pnt_Buffer [12] = 0x00
	CLRF       485
;Sub_Routines.mbas,215 :: 		Lcd_Out (2,9,Pnt_Buffer)       'Tag on Text covers up the many fractional digits
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,216 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,218 :: 		end sub
L_end_Bat_Line2_Txt:
	RETURN
; end of _Bat_Line2_Txt

_Fresh_Water_Line1_txt:

;Sub_Routines.mbas,220 :: 		sub procedure  Fresh_Water_Line1_txt          'Fresh Water Level Heading
;Sub_Routines.mbas,222 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,223 :: 		Pnt_Buffer = Fresh_Text1
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Fresh_Text1+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Fresh_Text1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,224 :: 		Lcd_out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,225 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,227 :: 		End Sub
L_end_Fresh_Water_Line1_txt:
	RETURN
; end of _Fresh_Water_Line1_txt

_Gray_Water_Line1_txt:

;Sub_Routines.mbas,229 :: 		sub procedure  Gray_Water_Line1_txt           'Gray Water Level Heading
;Sub_Routines.mbas,231 :: 		IRP_Bit =1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,232 :: 		Pnt_Buffer = Gray_Text1
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Gray_Text1+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Gray_Text1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,233 :: 		Lcd_out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,234 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,236 :: 		end sub
L_end_Gray_Water_Line1_txt:
	RETURN
; end of _Gray_Water_Line1_txt

_OT_Line1_Txt:

;Sub_Routines.mbas,239 :: 		sub procedure  OT_Line1_Txt
;Sub_Routines.mbas,241 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,242 :: 		Pnt_Buffer = Out_Temp_Text1
	MOVLW      217
	MOVWF      FSR
	MOVLW      _Out_Temp_text1+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Out_Temp_text1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,243 :: 		Lcd_out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,244 :: 		IRP_Bit =0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,246 :: 		End Sub
L_end_OT_Line1_Txt:
	RETURN
; end of _OT_Line1_Txt

_IN_Line1_Txt:

;Sub_Routines.mbas,248 :: 		sub procedure  IN_Line1_Txt                   'Inside Temp Heading
;Sub_Routines.mbas,250 :: 		IRP_Bit = 1
	BSF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,251 :: 		Pnt_Buffer = In_Temp_Text1
	MOVLW      217
	MOVWF      FSR
	MOVLW      _In_Temp_Text1+0
	MOVWF      R0+0
	MOVLW      hi_addr(_In_Temp_Text1+0)
	MOVWF      R0+1
	CALL       ___CCS2S+0
	CLRF       INDF+0
;Sub_Routines.mbas,252 :: 		Lcd_out (1,1,Pnt_Buffer)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Pnt_Buffer+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Sub_Routines.mbas,253 :: 		IRP_Bit = 0
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;Sub_Routines.mbas,255 :: 		End Sub
L_end_IN_Line1_Txt:
	RETURN
; end of _IN_Line1_Txt

_Clr_Cyc_Ind:

;Sub_Routines.mbas,257 :: 		sub Procedure  Clr_Cyc_Ind
;Sub_Routines.mbas,258 :: 		LCD_CHR (2,1," ")             'Clear the Cycling Mode indicator
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,259 :: 		LCD_CHR (2,20," ")
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,260 :: 		End Sub
L_end_Clr_Cyc_Ind:
	RETURN
; end of _Clr_Cyc_Ind

_Set_Cyc_Ind:

;Sub_Routines.mbas,262 :: 		sub procedure  Set_Cyc_Ind
;Sub_Routines.mbas,263 :: 		LCD_CHR (2,1,0x05)             'These two Chars flag Cycling Mode
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      5
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,264 :: 		LCD_CHR (2,20,0x04)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Sub_Routines.mbas,265 :: 		End Sub
L_end_Set_Cyc_Ind:
	RETURN
; end of _Set_Cyc_Ind

_Check_Low_Battery:

;Sub_Routines.mbas,267 :: 		sub procedure  Check_Low_Battery
;Sub_Routines.mbas,269 :: 		Battery_Voltage (1)         'Just sample the Battery voltage
	MOVLW      1
	MOVWF      FARG_Battery_Voltage_Sample_Only+0
	CALL       _Battery_Voltage+0
;Sub_Routines.mbas,271 :: 		if Bat_Low = True           'is the battery low?
	MOVF       _Bat_Low+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__Check_Low_Battery45
;Sub_Routines.mbas,273 :: 		Lcd_Sel = 1
	BSF        PORTB+0, 6
;Sub_Routines.mbas,274 :: 		Lcd_Cmd (0x08)          'Turn Off Outside Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Sub_Routines.mbas,275 :: 		LCD_Sel = 0             'Select Display #1 (Inside)
	BCF        PORTB+0, 6
;Sub_Routines.mbas,276 :: 		LCD_CMD (0X0C)          'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Sub_Routines.mbas,277 :: 		Clr_Cyc_Ind             'erase cycle indicators
	CALL       _Clr_Cyc_Ind+0
;Sub_Routines.mbas,278 :: 		Flash = True            'Start out Flashing the backlight & Alarm
	MOVLW      255
	MOVWF      _Flash+0
;Sub_Routines.mbas,279 :: 		clearbit (Portc,7)      'Yes turn off outside display backlight
	BCF        PORTC+0, 7
;Sub_Routines.mbas,280 :: 		clearbit (Portc,6)      'turn off inside display backlight
	BCF        PORTC+0, 6
;Sub_Routines.mbas,281 :: 		PortC.5 = 1             'Turn On the Alarm
	BSF        PORTC+0, 5
;Sub_Routines.mbas,282 :: 		Low_Bat_Line1_Txt       'Display battery low text on line one
	CALL       _Low_Bat_Line1_Txt+0
	GOTO       L__Check_Low_Battery46
;Sub_Routines.mbas,283 :: 		else
L__Check_Low_Battery45:
;Sub_Routines.mbas,284 :: 		goto Battery_Low_Exit   'Not Low exit
	GOTO       L__Check_Low_Battery_battery_low_exit
;Sub_Routines.mbas,285 :: 		end if
L__Check_Low_Battery46:
;Sub_Routines.mbas,286 :: 		Battery_Low_Loop:
L__Check_Low_Battery_battery_low_loop:
;Sub_Routines.mbas,287 :: 		Bat_Line2_Txt                   'Display voltage on line two
	CALL       _Bat_Line2_Txt+0
;Sub_Routines.mbas,288 :: 		Intcon = 0                      'Disable Interupts
	CLRF       INTCON+0
;Sub_Routines.mbas,289 :: 		Period_Reached = Period / 2     'Get half a Period
	MOVLW      77
	MOVWF      _Period_Reached+0
	CLRF       _Period_Reached+1
;Sub_Routines.mbas,290 :: 		TMR0IF_bit = 0                  'Clear the int flag
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;Sub_Routines.mbas,291 :: 		Tmr0 = 5                        'This timer 0 for 16 MS is the longest time with this 16MH Crystal
	MOVLW      5
	MOVWF      TMR0+0
;Sub_Routines.mbas,292 :: 		Intcon = 0xE0                   'Enable Intrupts
	MOVLW      224
	MOVWF      INTCON+0
;Sub_Routines.mbas,293 :: 		TMR0IE_bit  = 1                 'tart the timer
	BSF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;Sub_Routines.mbas,294 :: 		while Period_Reached <> Period  'wait for Period Timer
L__Check_Low_Battery50:
	MOVF       _Period_Reached+1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Check_Low_Battery87
	MOVLW      155
	XORWF      _Period_Reached+0, 0
L__Check_Low_Battery87:
	BTFSC      STATUS+0, 2
	GOTO       L__Check_Low_Battery51
;Sub_Routines.mbas,297 :: 		Button (PORTA,2,5,0) 'Test for Button DN if no button pressed keep going
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Check_Low_Battery55
;Sub_Routines.mbas,299 :: 		Flash = False        'if pressed turn off the alarm and backlight
	CLRF       _Flash+0
;Sub_Routines.mbas,300 :: 		clearbit (Portc,6)   'so folks can sleep
	BCF        PORTC+0, 6
;Sub_Routines.mbas,301 :: 		PortC.5 = 0          'Stop the beeper
	BCF        PORTC+0, 5
L__Check_Low_Battery55:
;Sub_Routines.mbas,305 :: 		Button(PORTB, 7, 5, 0) 'Either Button can turn it off
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Check_Low_Battery58
;Sub_Routines.mbas,307 :: 		Flash = False
	CLRF       _Flash+0
;Sub_Routines.mbas,308 :: 		clearbit (Portc,6)     'so folks can sleep
	BCF        PORTC+0, 6
;Sub_Routines.mbas,309 :: 		PortC.5 = 0            'Stop the beeper
	BCF        PORTC+0, 5
L__Check_Low_Battery58:
;Sub_Routines.mbas,311 :: 		wend
	GOTO       L__Check_Low_Battery50
L__Check_Low_Battery51:
;Sub_Routines.mbas,313 :: 		if Flash = True                'Are we flashing?
	MOVF       _Flash+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__Check_Low_Battery61
;Sub_Routines.mbas,315 :: 		Portc.6 = not Portc.6      'Flash the Backlight
	MOVLW      64
	XORWF      PORTC+0, 1
;Sub_Routines.mbas,316 :: 		PortC.5 = Not PortC.5      'And the Beeper as well
	MOVLW      32
	XORWF      PORTC+0, 1
L__Check_Low_Battery61:
;Sub_Routines.mbas,319 :: 		Battery_Voltage (0)            'Still in a Battery Low State
	CLRF       FARG_Battery_Voltage_Sample_Only+0
	CALL       _Battery_Voltage+0
;Sub_Routines.mbas,321 :: 		if Bat_Low = True
	MOVF       _Bat_Low+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__Check_Low_Battery64
;Sub_Routines.mbas,323 :: 		goto  Battery_Low_Loop
	GOTO       L__Check_Low_Battery_battery_low_loop
L__Check_Low_Battery64:
;Sub_Routines.mbas,326 :: 		Lcd_sel = 1                    '(outside)
	BSF        PORTB+0, 6
;Sub_Routines.mbas,328 :: 		if Disp_Two_Mode <> 8          'If not in off mode
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__Check_Low_Battery67
;Sub_Routines.mbas,330 :: 		Lcd_Cmd (0x0C)             'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Sub_Routines.mbas,331 :: 		setbit (Portc,7)           'and the backlight
	BSF        PORTC+0, 7
L__Check_Low_Battery67:
;Sub_Routines.mbas,334 :: 		Battery_Low_Exit:
L__Check_Low_Battery_battery_low_exit:
;Sub_Routines.mbas,335 :: 		PortC.5 = 0                    'Stop the Beeper
	BCF        PORTC+0, 5
;Sub_Routines.mbas,337 :: 		end sub
L_end_Check_Low_Battery:
	RETURN
; end of _Check_Low_Battery

_Sub_Routines_?main:

;Sub_Routines.mbas,338 :: 		end.
L_end_Sub_Routines_?main:
	RETURN
; end of _Sub_Routines_?main
